Bug 80013 - Unhandled exception in anaconda (line 694, in ? intf.run(id, dispatch, configFileData))
Unhandled exception in anaconda (line 694, in ? intf.run(id, dispatch, config...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-18 14:25 EST by Jamie Pehling
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-27 13:00:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Dump after crash @ end of FTP install (79.08 KB, text/plain)
2003-01-28 14:21 EST, Zorrik Voldman
no flags Details

  None (edit)
Description Jamie Pehling 2002-12-18 14:25:04 EST
Description of problem: Anaconda generates an "unhandled exception", 
deemed "most likely a bug", during installation of RedHat Linux 8.0 on a Dell 
Inspiron 3200 laptop.  The install was hard disc-based, with the 3 ISO images 
stored in the root partition, and I chose automatic partitioning with the erase 
of all existing partitions.


Version-Release number of selected component (if applicable): Per above


How reproducible: Could not reproduce.  Anaconda bug led to a failed install, 
with the installer unable to find the ISO images any longer.  The point of 
original failure was not reached on the subsequent pass.


Steps to Reproduce:
1.
2.
3.
    
Actual results:
Crash

Expected results:
Successful install

Additional info:
It is not intuitive that one can run a hard disc-based install and 
simultaneously repartition the hard disc, but as it was my only alternative I 
gave it a try.  (It would be a great feature!) It seemed parts of the install 
program prohibited this (i.e., Disk Druid would not let me mount the partition 
on which the ISO images were stored as /, and Auto Partition would not let me 
delete all Linux partitions), but other parts did not (i.e., Auto Partition 
permitted the deletion of all existing partitions without complaint and 
proceeded with install to the point of crash).

It would be good to document in the installation pages that if you want to run 
a hard disc-based install (i.e., not an upgrade), you can't touch the partition 
containing the ISO images during the install (if that is in fact the case).
Comment 1 Jeremy Katz 2002-12-19 11:25:01 EST
Could you attach the complete traceback you received?  Without that, it's nearly
impossible to determine what the problem you hit was.
Comment 2 Michael Fulbright 2003-01-27 13:00:57 EST
Closing due to inactivity - please reopen if you have additional information to
add to the report.
Comment 3 Zorrik Voldman 2003-01-28 14:21:23 EST
Created attachment 89652 [details]
Anaconda Dump after crash @ end of FTP install

I get the same crash at the end of my FTP install. I have copied CD1, CD2 and
CD3 of RedHat 8.0 into the same directory.  Install crashes at the very end @
98-100% with the same message.	HD cannot boot.
Please see anacdump.txt attachment.

Note You need to log in before you can comment on or make changes to this bug.